<?xml version='1.0' encoding='utf-8'?>
<root>
    <world>
        <background backgroundRect="0:0:0:0"/>
        <walls>
            <wall id="" begin="0:-144" end="150:-144"/>
			<wall id="" begin="150:-144" end="150:-348"/>
			<wall id="" begin="150:-348" end="371:-348"/>
			<wall id="" begin="371:-348" end="371:-144"/>
			<wall id="" begin="371:-144" end="521:-144"/>
			<wall id="" begin="521:-144" end="521:-352"/>
			<wall id="" begin="521:-352" end="800:-352"/>
			<wall id="" begin="800:-352" end="800:-144"/>
			<wall id="" begin="800:-144" end="950:-144"/>
			<wall id="" begin="950:-144" end="950:-340"/>
			<wall id="" begin="950:-340" end="1240:-340"/>
			<wall id="" begin="1240:-340" end="1240:-144"/>
			<wall id="" begin="1240:-144" end="1390:-144"/>
			<wall id="" begin="1390:-144" end="1390:-385"/>
			<wall id="" begin="1390:-385" end="1664:-385"/>
			<wall id="" begin="1664:-385" end="1664:-144"/>
			<wall id="" begin="1664:-144" end="1814:-144"/>
			<wall id="" begin="1814:-144" end="1814:-418"/>
			<wall id="" begin="1814:-418" end="2044:-418"/>
			<wall id="" begin="2044:-418" end="2044:-144"/>
			<wall id="" begin="2044:-144" end="2194:-144"/>
			<wall id="" begin="2194:-144" end="2194:-388"/>
			<wall id="" begin="2194:-388" end="2457:-388"/>
			<wall id="" begin="2457:-388" end="2457:-144"/>
			<wall id="" begin="2457:-144" end="2607:-144"/>
			<wall id="" begin="2607:-144" end="2607:-409"/>
			<wall id="" begin="2607:-409" end="2904:-409"/>
			<wall id="" begin="2904:-409" end="2904:-144"/>
			<wall id="" begin="2904:-144" end="3054:-144"/>
			<wall id="" begin="3054:-144" end="3054:-314"/>
			<wall id="" begin="3054:-314" end="3326:-314"/>
			<wall id="" begin="3326:-314" end="3326:-144"/>
			<wall id="" begin="3326:-144" end="3476:-144"/>
			<wall id="" begin="3476:-144" end="3476:100"/>
		</walls>
        <colorFields/>
        <images/>
        <regions>
			<region height="56" filled="true" type="rectangle" text="Старт" x="-3" width="56" y="-3" visible="true" textX="0" id="start" color="#0000ff" textY="0"/>
			<region height="274" width="230" x="1814" y="-418" filled="true" type="rectangle" text="" visible="true" textX="6" id="finish" color="#ff0000" textY="5"/> 
		</regions>
    </world>
	
       <robots>
        <robot position="0:0" id="trikKitRobot" direction="0">
            <sensors>
                <sensor port="D1###input######sensorD1" type="trik::robotModel::parts::TrikSonarSensor" direction="0" position="58:25"/>
                <sensor port="D2###input######sensorD2" type="trik::robotModel::parts::TrikSonarSensor" direction="-90" position="42:-6"/>
            </sensors>
            <startPosition x="25" y="25" id="{20f357fb-9df5-4652-90c0-8cc83f3d32c8}" direction="0"/>
            <wheels right="M3###output###М3###" left="M4###output###М4###"/>
        </robot>
    </robots>
	
    <constraints>
        <timelimit value="240000"/>
        <constraint checkOnce="true" failMessage="Уробота не должно быть датчиков, кроме датчиков расстояния в портах D1 и D2">
            <conditions glue="and">
            	 <equals>
                    <typeOf objectId="robot1.A1"/>
                    <string value="undefined"/>
                </equals>
                 <equals>
                    <typeOf objectId="robot1.A2"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A3"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A4"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A5"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A6"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.F1"/>
                    <string value="undefined"/>
                </equals>
            </conditions>
        </constraint>
	
	<constraint checkOnce="true" failMessage="Робот должен находиться в зоне старта перед запуском!">
			<inside objectId="robot1" regionId="start"/>
		</constraint>
		
		
		<event settedUpInitially="true">
			<conditions glue = "and">
				<not><inside objectId="robot1" regionId="finish"/></not>
				<greater>
					<objectState object="robot1.display.labels.size"/>
					<int value="0"/>
				</greater>
				<equals>
					<objectState object="robot1.display.labels.first.text"/>
					<string value="finish"/>
				</equals>
			</conditions>
			<trigger>
				<fail message="Робот финишировал не в зоне финиша"/>
			</trigger>
		</event>
		
		
		<event settedUpInitially="true">
			<conditions glue = "and">
				<inside objectId="robot1" regionId="finish"/>
				<greater>
					<objectState object="robot1.display.labels.size"/>
					<int value="0"/>
				</greater>
				<equals>
					<objectState object="robot1.display.labels.first.text"/>
					<string value="finish"/>
				</equals>
			</conditions>
			<trigger>
				<success/>
			</trigger>
		</event>
	</constraints>

</root>
